Package Details: java-berkeleydb 5.3.28-4

Git Clone URL: https://aur.archlinux.org/java-berkeleydb.git (read-only, click to copy)
Package Base: java-berkeleydb
Description: Java bindings for the Berkeley DB embedded database system
Upstream URL: http://www.oracle.com/technology/software/products/berkeley-db/index.html
Licenses: custom
Submitter: bfrog
Maintainer: externl
Last Packager: externl
Votes: 18
Popularity: 0.000000
First Submitted: 2008-09-07 19:41
Last Updated: 2015-09-02 13:09

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

dape commented on 2014-10-08 23:35

/libtool --mode=compile cc -c -I. -I../src -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_REENTRANT -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -fno-strict-aliasing ../lang/java/libdb_java/db_java_wrap.c
libtool: compile: cc -c -I. -I../src -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_REENTRANT -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -fno-strict-aliasing ../lang/java/libdb_java/db_java_wrap.c -fPIC -DPIC -o .libs/db_java_wrap.o
../lang/java/libdb_java/db_java_wrap.c:137:17: fatal error: jni.h: No such file or directory
#include <jni.h>
^
compilation terminated.
Makefile:2449: recipe for target 'db_java_wrap.lo' failed
make: *** [db_java_wrap.lo] Error 1
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build java-berkeleydb.

ASzc commented on 2012-08-24 23:28

Patch for update to 5.3.21: http://ix.io/2Qf

ASzc commented on 2012-08-24 22:37

You can get a direct download link by dropping the /otn from the URLs provided on the Oracle pages.

OttoA commented on 2012-01-20 13:52

I bumped it to 5.3.15 and I don't pull from oracle anymore (requires some kind of signon)

Athemis commented on 2012-01-19 13:08

5.1.25 is no longer available for download. Latest release in the 5.1 series is 5.1.29.

OttoA commented on 2011-06-05 14:59

But ./configure should figure out where to put the files. I'll leave it as it is for the moment and look into it when I have the time.

ezzetabi commented on 2011-06-02 17:10

No, that was the point. First I simply installed your package (so the .la file only) for the Berkeley db java bindings. And hypergraphdb did not work (UnsatisfiedLinkError if I recall correctly); it started to work only when I copied libdb_java-5.1.so. Maybe the openjdk6 JNI needs the .so files?

ezzetabi commented on 2011-06-02 16:49

No, that was the point. First I simply installed your package (so the .la file only) for the Berkeley db java bindings. And hypergraphdb did not work (UnsatisfiedLinkError if I recall correctly); it started to work only when I copied libdb_java-5.1.so. Maybe the openjdk6 JNI needs the .so files?

OttoA commented on 2011-06-02 08:53

exactly, the .la file is an archive containing the .so file. Does your program still work when deleting the .so file while keeping the .la file?

ezzetabi commented on 2011-06-02 08:35

I was tring hypergraphdb; but the library cannot find its native implementation of java-berkeleydb related methods.
When I copied the libdb_java-5.1.so file in the /usr/lib directory it started to work.

I am not sure I understood, but you mean that the .la file should already contain the shared libraries. Right?